tvbrowser.extras.programinfo

## Class ProgramInfoDialog

- java.lang.Object
- - tvbrowser.extras.programinfo.ProgramInfoDialog

-      class ProgramInfoDialog
      extends java.lang.Object

  TV-Browser
  Author:
    Martin Oberhauser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Localizer` | `mLocalizer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPluginActions(boolean rebuild)`
    `static boolean` | `closeDialog()` Close this dialog.
    `(package private) static Program` | `getCurrentProgram()`
    `static ProgramInfoDialog` | `getInstance(Program program, java.awt.Dimension pluginsSize, boolean showSettings)`
    `protected void` | `highlightFavorites()`
    `protected static boolean` | `isShowing()`
    `protected static void` | `recreateInstance()`
    `static void` | `resetFunctionGroup()` Reset the function group.
    `void` | `show()` Creates the dialog an makes it visible
    `(package private) static boolean` | `wasClosedRecently()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mLocalizer

          protected static final Localizer mLocalizer

  - ### Method Detail

    - #### getInstance

          public static ProgramInfoDialog getInstance(Program program,
                                      java.awt.Dimension pluginsSize,
                                      boolean showSettings)

      Parameters:
        `program` - The program to show the info for.
        `pluginsSize` - The size of the Functions Panel.
        `showSettings` - Show the settings button.
      Returns:
        The instance of this ProgramInfoDialog

    - #### getCurrentProgram

          static Program getCurrentProgram()

    - #### highlightFavorites

          protected void highlightFavorites()

    - #### recreateInstance

          protected static void recreateInstance()

    - #### addPluginActions

          protected void addPluginActions(boolean rebuild)

    - #### show

          public void show()

      Creates the dialog an makes it visible

    - #### resetFunctionGroup

          public static void resetFunctionGroup()

      Reset the function group.

    - #### closeDialog

          public static boolean closeDialog()

      Close this dialog.

      Returns:
        `True` if the dialog was visible, `false` otherwise.

    - #### isShowing

          protected static boolean isShowing()

    - #### wasClosedRecently

          static boolean wasClosedRecently()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)